/schedules (POST)
POST
/schedules
const url = 'https://example.com/api/v1/schedules';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","target":"app_container","appId":"example","serverId":"example","command":"example","shell":"bash","cron":"example","timezone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/schedules \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "target": "app_container", "appId": "example", "serverId": "example", "command": "example", "shell": "bash", "cron": "example", "timezone": "example" }'Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
name
required
string
command
required
string
shell
required
string
cron
required
string
timezone
required
string
enabled
required
boolean
createdAt
required
string format: date-time
Example
{ "target": "app_container"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}